/**
 ********************************************************************************
 * Copyright (c) 2017 Robert Bosch GmbH and others.
 * 
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Robert Bosch GmbH - initial API and implementation
 ********************************************************************************
 */
package org.eclipse.app4mc.sca2amalthea.llvm.util;


/**
 * Constants for all the LLVM operations
 */
public final class LLVMConstants {

  /**
   * Private constructor
   */
  private LLVMConstants() {
    // Private constructor
  }

  /**
  *
  */
  public static final String PDIR = "pdir";
  /**
   *
   */
  public static final String TASKINFO = "taskinfo";
  /**
   *
   */
  public static final String LOCKINFO = "lockinfo";
  /**
   *
   */
  public static final String OUTDIR = "outdir";
  /**
   *
   */
  public static final String HDIR_LIST = "hdirlist";
  /**
   *
   */
  public static final String ASTP = "astp";
  /**
   *
   */
  public static final String BLOG = "blog";
  /**
  *
  */
  public static final String DLIST = "dlist";

  public static final String OUT_FOLDER = "/_out/";
  
  public static final String ENABLE_STRUCT_MEMBER="enableStructMember";
		  
}
